Index: php-7.4.0RC6/ext/standard/info.c
===================================================================
--- php-7.4.0RC6.orig/ext/standard/info.c	2019-11-11 00:33:36.000000000 +0100
+++ php-7.4.0RC6/ext/standard/info.c	2019-11-19 11:29:46.254681309 +0100
@@ -802,7 +802,7 @@ PHPAPI ZEND_COLD void php_print_info(int
 		php_info_print_box_end();
 		php_info_print_table_start();
 		php_info_print_table_row(2, "System", ZSTR_VAL(php_uname));
-		php_info_print_table_row(2, "Build Date", __DATE__ " " __TIME__);
+		/*php_info_print_table_row(2, "Build Date", __DATE__ " " __TIME__);*/
 #ifdef COMPILER
 		php_info_print_table_row(2, "Compiler", COMPILER);
 #endif
@@ -810,7 +810,7 @@ PHPAPI ZEND_COLD void php_print_info(int
 		php_info_print_table_row(2, "Architecture", ARCHITECTURE);
 #endif
 #ifdef CONFIGURE_COMMAND
-		php_info_print_table_row(2, "Configure Command", CONFIGURE_COMMAND );
+		/* php_info_print_table_row(2, "Configure Command", CONFIGURE_COMMAND ); */
 #endif
 
 		if (sapi_module.pretty_name) {
Index: php-7.4.0RC6/sapi/cli/php_cli.c
===================================================================
--- php-7.4.0RC6.orig/sapi/cli/php_cli.c	2019-11-19 11:29:46.254681309 +0100
+++ php-7.4.0RC6/sapi/cli/php_cli.c	2019-11-19 11:30:06.350793571 +0100
@@ -645,8 +645,8 @@ static int do_cli(int argc, char **argv)
 				goto out;
 
 			case 'v': /* show php version & quit */
-				php_printf("PHP %s (%s) (built: %s %s) ( %s)\nCopyright (c) The PHP Group\n%s",
-					PHP_VERSION, cli_sapi_module.name, __DATE__, __TIME__,
+				php_printf("PHP %s (%s) ( %s)\nCopyright (c) The PHP Group\n%s",
+					PHP_VERSION, cli_sapi_module.name,
 #if ZTS
 					"ZTS "
 #else
Index: php-7.4.0RC6/sapi/cgi/cgi_main.c
===================================================================
--- php-7.4.0RC6.orig/sapi/cgi/cgi_main.c	2019-11-19 11:29:46.254681309 +0100
+++ php-7.4.0RC6/sapi/cgi/cgi_main.c	2019-11-19 11:30:26.346905278 +0100
@@ -2392,9 +2392,9 @@ parent_loop_end:
 							SG(headers_sent) = 1;
 							SG(request_info).no_headers = 1;
 #if ZEND_DEBUG
-							php_printf("PHP %s (%s) (built: %s %s) (DEBUG)\nCopyright (c) The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
+							php_printf("PHP %s (%s) (DEBUG)\nCopyright (c) The PHP Group\n%s", PHP_VERSION, sapi_module.name, get_zend_version());
 #else
-							php_printf("PHP %s (%s) (built: %s %s)\nCopyright (c) The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
+							php_printf("PHP %s (%s) \nCopyright (c) The PHP Group\n%s", PHP_VERSION, sapi_module.name, get_zend_version());
 #endif
 							php_request_shutdown((void *) 0);
 							fcgi_shutdown();
Index: php-7.4.0RC6/configure.ac
===================================================================
--- php-7.4.0RC6.orig/configure.ac	2019-11-19 11:29:46.258681331 +0100
+++ php-7.4.0RC6/configure.ac	2019-11-19 11:31:37.507302813 +0100
@@ -1295,13 +1295,12 @@ EXTRA_LDFLAGS_PROGRAM="$EXTRA_LDFLAGS_PR
 
 dnl SOURCE_DATE_EPOCH for reproducible builds
 dnl https://reproducible-builds.org/specs/source-date-epoch/
-PHP_BUILD_DATE=`date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d 2>/dev/null`
-if test $? -ne 0 ; then
-PHP_BUILD_DATE=`date -u +%Y-%m-%d`
-fi
+#totally fake, not used anywhere in userspace
+PHP_BUILD_DATE="1970-01-01"
 AC_DEFINE_UNQUOTED(PHP_BUILD_DATE,"$PHP_BUILD_DATE",[PHP build date])
 
-PHP_UNAME=`uname -a | xargs`
+dnl Totally fake, it wasnt and will never be reliable anyway.
+PHP_UNAME="Linux suse 2.6.36 #1 SMP 2011-02-21 10:34:10 +0100 x86_64 x86_64 x86_64 GNU/Linux"
 AC_DEFINE_UNQUOTED(PHP_UNAME,"$PHP_UNAME",[uname -a output])
 PHP_OS=`uname | xargs`
 AC_DEFINE_UNQUOTED(PHP_OS,"$PHP_OS",[uname output])
Index: php-7.4.0RC6/sapi/fpm/fpm/fpm_main.c
===================================================================
--- php-7.4.0RC6.orig/sapi/fpm/fpm/fpm_main.c	2019-11-19 11:29:46.258681331 +0100
+++ php-7.4.0RC6/sapi/fpm/fpm/fpm_main.c	2019-11-19 11:32:27.627582756 +0100
@@ -1722,9 +1722,9 @@ int main(int argc, char *argv[])
 				SG(request_info).no_headers = 1;
 
 #if ZEND_DEBUG
-				php_printf("PHP %s (%s) (built: %s %s) (DEBUG)\nCopyright (c) The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__,        __TIME__, get_zend_version());
+				php_printf("PHP %s (%s) (DEBUG)\nCopyright (c) The PHP Group\n%s", PHP_VERSION, sapi_module.name, get_zend_version());
 #else
-				php_printf("PHP %s (%s) (built: %s %s)\nCopyright (c) The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__,      get_zend_version());
+				php_printf("PHP %s (%s) \nCopyright (c) The PHP Group\n%s", PHP_VERSION, sapi_module.name, get_zend_version());
 #endif
 				php_request_shutdown((void *) 0);
 				fcgi_shutdown();
